%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}}

Summary:        Automate BGP filter generation based on routing database information
Name:           bgpq4
Version:        1.11
Release:    1%{?dist}
License:        BSD-2-Clause AND BSD-3-Clause AND ISC AND LicenseRef-Fedora-Public-Domain
URL:            https://github.com/bgp/bgpq4
Source0:        https://github.com/bgp/bgpq4/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gcc
BuildRequires:  make

%description
The bgpq4 utility can be used to generate BGP filter configurations
such as prefix lists, (extended) access lists, policy statement terms
and AS path lists based on routing database information and supports
output formats for BIRD, Cisco, Huawei, Juniper, MikroTik, Nokia and
OpenBGPD routers as well as generic JSON.

%prep
%setup -q
autoreconf --install

%build
%configure --docdir=%{_pkgdocdir}
%make_build

%install
%make_install

%files
%license COPYRIGHT
%doc README.md CHANGES
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-1
- initial build
